Favicon

You are here: Home > API Reference > Workspace > User Authentication > Change Password with forgot password token

Change Password with forgot password token

Change Password with forgot password token

POST
/v1/auth/register/change-password
Copy to clipboard

Change Password with forgot password token

Change Password with forgot password token

Request

Body Params application/json
token string required
≤ 128 characters
password string required
≤ 128 characters · ≥ 8 characters
{
    "token": "string",
    "password": "string"
}

Responses

200 Response application/json
status boolean optional
data object optional
done boolean optional
message string optional
≤ 256 characters
{
    "status": true,
    "data": {
        "done": true,
        "message": "string"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5057
message string optional
Insufficient Password Complexity
{
    "status": false,
    "error": {
        "code": 5057,
        "message": "Insufficient Password Complexity"
    }
}
403 Response application/json
status boolean optional
false
error object optional
code number optional
4006
message string optional
Invalid Credentials
{
    "status": false,
    "error": {
        "code": 4006,
        "message": "Invalid Credentials"
    }
}